/*
 * yasapi_engine_server_state.h
 *
 * Yet Another (WA)SAPI (YASAPI) New Technology (NT) Output (out_yasapi-nt)
 * Copyright (C) 2015-2019  Peter Belkner (pbelkner@snafu.de)
 *
 * out_yasapi-nt is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * out_yasapi-nt is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with out_yasapi-nt.  If not, see <https://www.gnu.org/licenses/>.
 */
YASAPI_ENGINE_SERVER(ThreadEvent)
// Please note that state eEngineServerStateKill is needed in
// EngineClientApiWrite() and EngineClientApiEndOfTrack() in
// order to distinguish coming down from state eServerStateOpen
// from coming up from below and starting.
YASAPI_ENGINE_SERVER(Kill)
YASAPI_ENGINE_SERVER(PauseDisconnected)
YASAPI_ENGINE_SERVER(AudioClient)
YASAPI_ENGINE_SERVER(AudioClock)
YASAPI_ENGINE_SERVER(Volume)
YASAPI_ENGINE_SERVER(AudioRenderClient)
// eEngineServerStateFlush is just kinda marker state.
YASAPI_ENGINE_SERVER(Flush)
YASAPI_ENGINE_SERVER(PauseConnected)
YASAPI_ENGINE_SERVER(ThreadCharacteristics)
YASAPI_ENGINE_SERVER(Preroll)
YASAPI_ENGINE_SERVER(AudioClientStart)
YASAPI_ENGINE_SERVER(SetWaitableTimer)
YASAPI_ENGINE_SERVER(Draining)
YASAPI_ENGINE_SERVER(Eot)
YASAPI_ENGINE_SERVER(LoopEnd)
YASAPI_ENGINE_SERVER(Error)
