/*
 * yasapi_bitdepth_mnemonic.c
 *
 * Yet Another (WA)SAPI (YASAPI) New Technology (NT) Output (out_yasapi-nt)
 * Copyright (C) 2015-2019  Peter Belkner (pbelkner@snafu.de)
 *
 * out_yasapi-nt is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * out_yasapi-nt is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with out_yasapi-nt.  If not, see <https://www.gnu.org/licenses/>.
 */
#include <yasapi.h>

///////////////////////////////////////////////////////////////////////////////
/*
 * We leave to the linker to decide whether we're needed or not.
 */
const char *Bitdepth(EBitdepth eBitdepth)
{
  switch (eBitdepth) {
  case eBitdepthDisabled:
    return "eBitdepthDisabled";
  case eBitdepth16:
    return "eBitdepth16";
  case eBitdepth24:
    return "eBitdepth24";
  case eBitdepth32:
    return "eBitdepth32";
  default:
    return "undefined";
  }
}
