include(defines.m4)dnl
@startuml
note "M4_LAST_GENERATED" as N1

Player : Cache cache
Player o-- "1" Cache : cache

Cache : IMMDeviceEnumerator *pEnumerator
Cache : IMMDeviceCollection *pCollection
Cache : Selected selected
Cache : UINT cCacheDevices
Cache : CacheDevice pCacheDevices[cCacheDevices]
Cache o-- "1" Options
Cache o-- "cCacheDevices" CacheDevice
Cache o-- "1" Selected : selected

Options : OptionsMemberCommon common
Options : OptionsMemberDevice *pDevices
Options o-- "1" OptionsMemberCommon : common
Options o-- "cCacheDevices" OptionsMemberDevice : pDevices

OptionsMemberCommon o-- "1" OptionsCommon : config
OptionsMemberCommon o-- "1" OptionsCommon : current
OptionsMemberCommon o-- "1" OptionsCommon : original
OptionsCommon : wchar_t id[128]
OptionsCommon : int bLatency
OptionsCommon : EMono2Stereo eMono2Stereo
OptionsCommon : EVolume eVolume
OptionsCommon : EDither eDither
OptionsCommon : int bSurround
OptionsCommon : int bDisconnect
OptionsCommon : int bGapless
OptionsCommon : EConfigTheme eThemeEngineTail
OptionsCommon : EConfigTheme eThemePadding
OptionsCommon : EConfigTheme eThemeStart
OptionsCommon : EConfigTheme eThemeWritten

Selected : CacheDevice *active.pCacheDevice
Selected : CacheDevice *config.pCacheDevice
Selected *-- "1" CacheDevice : active.pCacheDevice
Selected *-- "1" CacheDevice : config.pCacheDevice

CacheDevice : wchar_t *id
CacheDevice : IMMDevice *pDevice
CacheDevice : OptionsMemberDevice *pMember
CacheDevice *-- "1" OptionsMemberDevice

OptionsMemberDevice o-- "1" OptionsDevice : config
OptionsMemberDevice o-- "1" OptionsDevice : current
OptionsMemberDevice o-- "1" OptionsDevice : original
OptionsDevice : EMode eMode
OptionsDevice : int bAutoConvertPCM
OptionsDevice : int bSRCDefaultQuality
OptionsDevice : EStrategy eStrategy
OptionsDevice : int bTimerPeriodic
OptionsDevice : int bAlignmentDance
OptionsDevice : int bProAudio
OptionsDevice : EBitdepth eBitdepth
OptionsDevice : EPeriod ePeriod
ifdef(`M4_OPTION_CYCLE',
`OptionsDevice : ECycle eCycle
')dnl
OptionsDevice : double xMaxLatencyAssumed
OptionsDevice : double xPlaybackBegin

@enduml
