include(defines.m4)dnl
changequote(`[!',`!]')dnl
@startuml
note "M4_LAST_GENERATED" as N1
state eEngineBase {
	eEngineCriticalSection : CRITICAL_SECTION Engine::cs
  [*] --> eEngineCriticalSection : InitializeCriticalSection
  eEngineCriticalSection --> [*] : DeleteCriticalSection

  eEngineCriticalSection --> eEngineTimerEvent : CreateEvent
  eEngineTimerEvent --> eEngineCriticalSection : CloseHandle
  eEngineTimerEvent : HANDLE Engine::timer.hEvent

  eEngineTimerEvent --> eEngineTimer : CreateWaitableTimer
  eEngineTimer --> eEngineTimerEvent : CloseHandle
  eEngineTimer : HANDLE Engine::timer.hTimer

  eEngineTimer --> eEngineEventProducer : CreateEvent
  eEngineEventProducer --> eEngineTimer : CloseHandle
  eEngineEventProducer : HANDLE Engine::thread.hProducer

  eEngineEventProducer --> eEngineEventConsumer : CreateEvent
  eEngineEventConsumer --> eEngineEventProducer : CloseHandle
  eEngineEventConsumer : HANDLE Engine::thread.hConsumer

  eEngineEventConsumer --> eEngineEventEot : CreateEvent
  eEngineEventEot --> eEngineEventConsumer : CloseHandle
ifdef([!M4_HANDLE_EOT!],
[!  eEngineEventEot : HANDLE Engine::thread.hEot
!])dnl

ifdef([!M4_API!],
[!  eEngineEventEot --> eEngineEventApi : CreateEvent
  eEngineEventApi --> eEngineEventEot : CloseHandle
  eEngineEventApi : HANDLE Engine::thread.hApi

  eEngineEventApi --> eEngineThread : CreateThread
  eEngineThread --> eEngineEventApi : CloseHandle
!],
[!  eEngineEventEot --> eEngineThread : CreateThread
  eEngineThread --> eEngineEventEot : CloseHandle
!])
  eEngineThread : HANDLE Engine::thread.hThread

  eEngineThread --> eEngineThreadRunning : WaitForSingleObject
  eEngineThreadRunning --> eEngineThread : WaitForSingleObject

  [*] --> eEngineThreadRunning : destruction (nop)
  eEngineThreadRunning --> [*] : creation
}
@enduml
