include(defines.m4)dnl
@startuml
note "M4_LAST_GENERATED" as N1
state eEngineInitialized {
ifdef(`M4_OPTION_GAPLESS',`  [*] --> eEngineClose : <i>next track</i> (nop)
  eEngineClose --> [*] : <i>stop</i> or <i>exit</i>
  note left of eEngineClose : Just needed in order to count\nbroken gapless sessions.

  eEngineClose --> eEngineAudioClientInititial : IMMDevice::Activate
  eEngineAudioClientInititial --> eEngineClose : nop (IUnknown::Release\nis already called)
',`  [*] --> eEngineAudioClientInititial : IMMDevice::Activate
  eEngineAudioClientInititial --> [*] : nop (IUnknown::Release\nis already called)
')dnl
'  eEngineAudioClientInititial : IMMDevice *Engine::pDevice
  eEngineAudioClientInititial : IAudioClient *Engine::pAudioClient
  eEngineAudioClientInititial : Ring Engine::ring

  eEngineAudioClientInititial --> eEngineRing : RingCreate
  eEngineRing --> eEngineAudioClientInititial : RingDestroy
  eEngineRing : Ring Engine::ring

  [*] --> eEngineRing : <i>stop</i> or <i>exit</i> (nop)
  eEngineRing --> [*] : <i>next track</i>
}
@enduml
