/*
 * yasapi_present_client.c
 *
 * Yet Another (WA)SAPI (YASAPI) New Technology (NT) Output (out_yasapi-nt)
 * Copyright (C) 2015-2019  Peter Belkner (pbelkner@snafu.de)
 *
 * out_yasapi-nt is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * out_yasapi-nt is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with out_yasapi-nt.  If not, see <https://www.gnu.org/licenses/>.
 */
#include <yasapi.h>

///////////////////////////////////////////////////////////////////////////////
int PresentClientCreate(PresentClient *pClient, Player *pPlayer)
{
  memset(pClient,0,sizeof *pClient);
  FsmCreate(pClient,gcaIPresentClientState,ePresentClientStateCount ,NULL,NULL);
  pClient->pPlayer=pPlayer;

  return 0;
}

void PresentClientDestroy(PresentClient *pClient)
{
  pClient->pPlayer=NULL;
  FsmDestroy(pClient);
}
